> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get issues

> Returns a list of the issues of your account. Filters can be used to query specific results. Filters can be combined and are inclusive.



## OpenAPI

````yaml get /issues
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /issues:
    get:
      tags:
        - Issues
      summary: Get issues
      description: >-
        Returns a list of the issues of your account. Filters can be used to
        query specific results. Filters can be combined and are inclusive.
      operationId: issues_get_issues
      parameters:
        - name: created_on
          in: query
          required: false
          schema:
            type: string
            format: date
            description: The search query to filter issues by creation date.
            title: Created On
          description: The search query to filter issues by creation date.
        - name: last_seen_on
          in: query
          required: false
          schema:
            type: string
            format: date
            description: The search query to filter issues by last seen date.
            title: Last Seen On
          description: The search query to filter issues by last seen date.
        - name: error_code
          in: query
          required: false
          schema:
            type: string
            description: The search query to filter issues by error code.
            title: Error Code
          description: The search query to filter issues by error code.
        - name: status
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/IssueStatus'
            description: The search query to filter issues by issue status.
            default: all
          description: The search query to filter issues by issue status.
        - name: level
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/IssueLevel'
              - type: 'null'
            description: The search query to filter issues by issue level.
            title: Level
          description: The search query to filter issues by issue level.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IssueItem'
                title: Response Issues Get Issues
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IssueStatus:
      type: string
      enum:
        - open
        - closed
        - all
      title: IssueStatus
    IssueLevel:
      type: string
      enum:
        - error
        - warning
      title: IssueLevel
    IssueItem:
      properties:
        id:
          type: string
          title: Id
        consumer_id:
          type: string
          title: Consumer Id
        connection_id:
          type: string
          title: Connection Id
        integration_id:
          type: integer
          title: Integration Id
        integration_name:
          type: string
          title: Integration Name
        created_on:
          type: string
          format: date-time
          title: Created On
        updated_on:
          type: string
          format: date-time
          title: Updated On
        last_seen:
          type: string
          format: date-time
          title: Last Seen
        error:
          $ref: '#/components/schemas/ErrorInfo'
        occurrences:
          type: integer
          title: Occurrences
        level:
          $ref: '#/components/schemas/IssueLevel'
      type: object
      required:
        - id
        - consumer_id
        - connection_id
        - integration_id
        - integration_name
        - created_on
        - updated_on
        - last_seen
        - error
        - occurrences
        - level
      title: IssueItem
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ErrorInfo:
      properties:
        error_code:
          type: string
          title: Error Code
        status:
          type: string
          title: Status
        title:
          type: string
          title: Title
        description:
          type: string
          title: Description
      type: object
      required:
        - error_code
        - status
        - title
      title: ErrorInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````